<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pages', function (Blueprint $table) {
            $table->id();
            $table->char('uuid', 36)->index()->unique();
            $table->integer('parent_id')->index()->default(0);
            $table->string('slug')->index()->nullable();
            $table->string('type')->index()->nullable();
            $table->string('sub_type')->index()->nullable();
            $table->string('name')->index()->nullable();
            $table->string('title')->index()->nullable();
            $table->string('h1')->index()->nullable();
            $table->integer('ord')->index()->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pages');
    }
}
